/*********************************************************************/
/*      Licensed Materials - Property of IBM                         */
/*      "Restricted Materials of IBM"                                */
/*      5748-T15                                                     */
/*      (C) Copyright IBM Corp. 2006                                 */
/*      All Rights Reserved                                          */
/*      US Government Users Restricted Rights - Use, duplication     */
/*      or dislosure restricted by GSA ADP Schedule Contract         */
/*      with IBM Corp.                                               */
/*********************************************************************/
/* This file is provided on an "as is" basis.  There are no          */
/* warranties, express or implied, including the implied warranties  */
/* of merchantability and fitness for a particular purpose.          */
/* IBM has no obligation to provide service, defect correction, or   */
/* any maintenance for the file.  IBM has no obligation to supply    */
/* any updates or enhancements for the file to you even if such are  */
/* or later become available.                                        */
/*********************************************************************/
/* Change History                                                    */
/*                                                                   */
/*                                                                   */
/*                                                                   */
/*********************************************************************/

#ifndef _cpp_sold_hpp_
#define _cpp_sold_hpp_ 1

#include <tpf/c_eb0eb.h>

/********************************************************************/
/*                                                                  */
/* Data Types for test case 100                                     */
/*                                                                  */
/********************************************************************/
#define DUMP_YES   2

typedef int FREDINT;                                                            //f11086
typedef char FREDCHAR;                                                          //f11086
typedef long FREDLONG;                                                          //f11086

/*-------------------------------------------------------------------*/
/* Set up an external variable so routines that return void do not   */
/* get optimized out of existence                                    */
/*-------------------------------------------------------------------*/
int externalx = 0;

struct taskcharparm66
   {
      char j1;
      char j2;
      char j3;
      char j4;
      char j5;
      char j6;
   };

struct taskcharparm55
   {
      char j1;
      char j2;
      char j3;
      char j4;
      char j5;
   };

struct taskcharparm44
   {
      char j1;
      char j2;
      char j3;
      char j4;
   };

struct taskcharparm33
   {
      char j1;
      char j2;
      char j3;
   };

struct taskcharparm22
   {
      char j1;
      char j2;
   };

struct taskcharparm11
   {
      char j1;
   };

struct taskret
   {
      int  x;
      char a;
   };

#endif
