#######################################################################
#          Licensed Materials - Property of IBM                       #
#          "Restricted Materials of IBM"                              #
#          5748-T15                                                   #
#          (C) Copyright IBM Corp. 2006                               #
#          All Rights Reserved                                        #
#          US Government Users Restricted Rights - Use, duplication   #
#          or disclosure restricted by GSA ADP Schedule Contract      #
#          with IBM Corp.                                             #
#######################################################################
#  This file is provided on an "as is" basis.  There are no           #
#  warranties, express or implied, including the implied warranties   #
#  of merchantability and fitness for a particular purpose.           #
#  IBM has no obligation to provide service, defect correction, or    #
#  any maintenance for the file.  IBM has no obligation to supply     #
#  any updates or enhancements for the file to you even if such are   #
#  or later become available.                                         #
#######################################################################
#  Change History                                                     #
#                                                                     #
#                                                                     #
#                                                                     #
#######################################################################

################################################################################
# Define the 4 character base name for this shared object or executable
################################################################################

APP := QCE2

TPF_DRIVER := sold

# Include only if need entry name
APP_ENTRY := QCE2
APP_EXPORT := ENTRY

################################################################################
# Define any additional libs needed to link (-l)
# - common libs provided in env files
################################################################################

LIBS := QSC1
LIBS += QSC2
LIBS += QSC3
LIBS += QSCD
LIBS += QCE1

################################################################################
# Define the envs needed to build this module, in the order of precedence
################################################################################

maketpf_env := drvs
maketpf_env += base_rt
maketpf_env += system

LDFLAGS_QCE2 := -Xlinker --defsym -Xlinker CGCC_31BIT=0

################################################################################
# Segments to be compiled with gcc compiler
################################################################################

C_SRC := qce2.c

################################################################################
# Segments to be assembled
################################################################################

ASM_SRC := qce210.asm

################################################################################
# Include the maketpf.rules
################################################################################

include maketpf.rules
