#######################################################################
#          Licensed Materials - Property of IBM                       #
#          "Restricted Materials of IBM"                              #
#          5748-T15                                                   #
#          Copyright IBM Corp. 2006, 2008                             #
#          All Rights Reserved                                        #
#          US Government Users Restricted Rights - Use, duplication   #
#          or disclosure restricted by GSA ADP Schedule Contract      #
#          with IBM Corp.                                             #
#######################################################################
#  This file is provided on an "as is" basis.  There are no           #
#  warranties, express or implied, including the implied warranties   #
#  of merchantability and fitness for a particular purpose.           #
#  IBM has no obligation to provide service, defect correction, or    #
#  any maintenance for the file.  IBM has no obligation to supply     #
#  any updates or enhancements for the file to you even if such are   #
#  or later become available.                                         #
#######################################################################
#  Change History                                                     #
#                                                                     #
#                                                                     #
#  D17876 KN 20080507 Changed "override TPF_VERIFY_LINK_REFS := NO"   #
#                     to override "TPF_VERIFY_LINK_REFS := LIBS" to   #
#                     allow resolution of function names during link. #
#                     Unresolved references to dummy function names   #
#                     GTAL_BSO and QQQQ_BSO will be ignored.          #
#######################################################################

################################################################################
# Sample make to create a BSO
################################################################################

APP := QSBE
TPF_DRIVER := sold
################################################################################
# Define the envs needed to build this module, in the order of precedence
################################################################################

maketpf_env := drvs
maketpf_env += base_rt
maketpf_env += system

################################################################################
# Segments to be assembled
################################################################################

ASM_SRC := qsbe.asm

override TPF_VERIFY_LINK_REFS := LIBS 

LIBS := QSC3

################################################################################
# Include the maketpf.rules
################################################################################

include maketpf.rules
